Debian Bug report logs - #114062
[fixed in lynx-cur] lynx: only highlights the first two lines of a hyperlink

version graph

Package: lynx; Maintainer for lynx is Atsuhito KOHDA <kohda@debian.org>; Source for lynx is src:lynx-cur.

Reported by: Hugo Haas <hugo@debian.org>

Date: Mon, 1 Oct 2001 12:33:02 UTC

Severity: normal

Tags: confirmed, upstream

Merged with 124361

Found in version 2.8.4.1b-1

Fixed in version lynx/2.8.5-1

Done: James Troup <james@nocrew.org>

Bug is archived. No further changes may be made.

Forwarded to upstream

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Christoph Martin <christoph.martin@uni-mainz.de>:
Bug#114062; Package lynx-ssl. Full text and rfc822 format available.

Acknowledgement sent to Hugo Haas <hugo@debian.org>:
New Bug report received and forwarded. Copy sent to Christoph Martin <christoph.martin@uni-mainz.de>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hugo Haas <hugo@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: lynx-ssl: Lynx only highlights the first two lines of a hyperlink
Date: Mon, 1 Oct 2001 08:25:06 -0400
[Message part 1 (text/plain, inline)]
Package: lynx-ssl
Version: 2.8.4.2-1
Severity: normal

When a hyperlink is very long (3 lines or more on the screen), Lynx
only highlights the first two lines.

Attached is a document showing the problem.

Thanks.

Regards,

Hugo

-- System Information
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux home 2.4.10 #1 Tue Sep 25 20:53:54 EDT 2001 i686
Locale: LANG=C, LC_CTYPE=fr_FR

Versions of packages lynx-ssl depends on:
ii  libc6                     2.2.4-1        GNU C Library: Shared libraries an
ii  libncurses5               5.2.20010318-3 Shared libraries for terminal hand
ii  libssl0.9.6               0.9.6a-3       SSL shared libraries
ii  zlib1g                    1:1.1.3-15     compression library - runtime
[test.html (text/html, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Martin <christoph.martin@uni-mainz.de>:
Bug#114062; Package lynx-ssl. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Christoph Martin <christoph.martin@uni-mainz.de>. Full text and rfc822 format available.

Message #10 received at 114062@bugs.debian.org (full text, mbox):

From: dickey@herndon4.his.com
To: 114062@bugs.debian.org
Cc: dickey@herndon4.his.com
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=114062&repeatmerged=
Date: Wed, 10 Oct 2001 15:25:11 -0400
agree - lynx only stores pointers to the first two lines of a hyperlink.

                       Debian Bug report logs - #114062
>       lynx-ssl: Lynx only highlights the first two lines of a hyperlink
>
>   Package:  lynx-ssl;  ;Reported  by: Hugo Haas <hugo@debian.org>; dated
>   Mon,  1  Oct  2001  12:33:02 UTC; Maintainer for lynx-ssl is Christoph
>   Martin <christoph.martin@uni-mainz.de>.
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, Christoph Martin <christoph.martin@uni-mainz.de>:
Bug#114062; Package lynx-ssl. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com:
Extra info received and forwarded to list. Copy sent to Christoph Martin <christoph.martin@uni-mainz.de>. Full text and rfc822 format available.

Message #15 received at 114062@bugs.debian.org (full text, mbox):

From: dickey@herndon4.his.com
To: 114062@bugs.debian.org
Cc: dickey@herndon4.his.com
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=114062&repeatmerged=
Date: Wed, 10 Oct 2001 15:31:39 -0400
This looks similar to a case I noticed at 2.8.4 which is due to a bug in the
nested-tables logic (but a quick check seems to show that it is not the same
bug -- I'll check on that).

Note that the rel.1b patch defaults nested-tables off in the non-color-style
configuration, which is where these bugs appear.  I haven't seen the
corresponding behavior in the color-style code (I did identify the underlying
problem, so it's clear why the two configurations differ).

                       Debian Bug report logs - #114062
>       lynx-ssl: Lynx only highlights the first two lines of a hyperlink
>
>   Package:  lynx-ssl;  ;Reported  by: Hugo Haas <hugo@debian.org>; dated
>   Mon,  1  Oct  2001  12:33:02 UTC; Maintainer for lynx-ssl is Christoph
>   Martin <christoph.martin@uni-mainz.de>.
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Bug reassigned from package `lynx-ssl' to `lynx'. Request was from Adrian Bunk <bunk@fs.tum.de> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Adrian Bunk <bunk@fs.tum.de>:
Bug#114062; Package lynx. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Adrian Bunk <bunk@fs.tum.de>. Full text and rfc822 format available.

Message #22 received at 114062@bugs.debian.org (full text, mbox):

From: dickey@herndon4.his.com (Thomas Dickey)
To: 114062@bugs.debian.org
Cc: dickey@herndon4.his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=114062&repeatmerged=
Date: Tue, 1 Jan 2002 21:28:18 -0500
This is fixed in lynx 2.8.5dev.6

                       Debian Bug report logs - #114062
>       lynx-ssl: Lynx only highlights the first two lines of a hyperlink
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Changed Bug title. Request was from Adrian Bunk <bunk@fs.tum.de> to control@bugs.debian.org. Full text and rfc822 format available.

Merged 114062 124361. Request was from Adrian Bunk <bunk@fs.tum.de> to control@bugs.debian.org. Full text and rfc822 format available.

Noted your statement that Bug has been forwarded to upstream. Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Forwarded-to-address changed from upstream to upstream. Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: confirmed Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: upstream Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: confirmed Request was from James Troup <james@nocrew.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to James Troup <james@nocrew.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Hugo Haas <hugo@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #45 received at 114062-close@bugs.debian.org (full text, mbox):

From: James Troup <james@nocrew.org>
To: 114062-close@bugs.debian.org
Subject: Bug#114062: fixed in lynx 2.8.5-1
Date: Thu, 05 Feb 2004 17:02:19 -0500
Source: lynx
Source-Version: 2.8.5-1

We believe that the bug you reported is fixed in the latest version of
lynx, which is due to be installed in the Debian FTP archive:

lynx_2.8.5-1.diff.gz
  to pool/main/l/lynx/lynx_2.8.5-1.diff.gz
lynx_2.8.5-1.dsc
  to pool/main/l/lynx/lynx_2.8.5-1.dsc
lynx_2.8.5-1_i386.deb
  to pool/main/l/lynx/lynx_2.8.5-1_i386.deb
lynx_2.8.5.orig.tar.gz
  to pool/main/l/lynx/lynx_2.8.5.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 114062@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
James Troup <james@nocrew.org> (supplier of updated lynx package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Thu,  5 Feb 2004 21:27:00 +0000
Source: lynx
Binary: lynx
Architecture: source i386
Version: 2.8.5-1
Distribution: unstable
Urgency: low
Maintainer: James Troup <james@nocrew.org>
Changed-By: James Troup <james@nocrew.org>
Description: 
 lynx       - Text-mode WWW Browser
Closes: 39905 40952 111463 114062 116495 117347 124025 124361 126723 135442 139948 140682 156498 156680 159215 181614 191798 199755 210948 217994 218180
Changes: 
 lynx (2.8.5-1) unstable; urgency=low
 .
   * New upstream release. Closes: #210948
    * Should now build on the Hurd. Closes: #140682
    * -auth=id:pw no longer ignored when using -source or -dump. Closes: #156498
    * Default cookie Path is not correct. Closes: #181614
    * Can now switch to bookmarks under 'z'. Closes: #111463
    * Fixes only highlighting the first two lines of a hyperlink.  Closes: #114062, #124361
    * Fixed missing space in german localisation. Closes: #116495
    * Fixed problems with wiki-login. Closes: #124025
    * No longer ignores Refresh: in HTTP headers. Closes: #126723
    * Forms now sent using proper encoding. Closes: #156680
    * Fixes confusion of whereis query inside of long <select>. Closes: #159215
    * Fixes inconsistent rendering of superscript tag. Closes: #191798
    * -dump mode now has an option to put "footnote" marks after the hyperlink. Closes: #39905
    * References can optionally follow text in ASCII output. Closes: #40952
    * Changed footnotes to display after links. Closes: #135442
    * File uploads are properly supported. Closes: #139948
    * config.{guess,sub} have been updated. Closes: #217994
 .
    * 03_euc-jp-blink.dpatch, 04_crlf-security.dpatch,
      05_config-guess-sub.dpatch, 06_gnutls-support.dpatch: removed, merged
      upstream.
    * 01_default-config.dpatch: resynced with new config file.
 .
   * debian/control (Priority): drop to optional.
 .
   * debian/rules (build): ask configure to use ncursesw instead of
     ncurses for better UTF-8 support.
   * debian/control (Build-Depends): likewise, switch to libncursesw5-dev.
 .
   * debian/rules (build): pass --with-bzlib to enable bzip2 decompression.
   * debian/control (Build-Depends): add libbz2-dev.
 .
   * debian/preinst: new file.  Undo diversions from old (potato-era)
     lynx-ssl package.  Closes: #218180, #199755
   * debian/rules (binary-arch): install it.
 .
   * debian/rules (binary-arch): install lynx as 'lynx.stable'.
   * debian/postinst, prerm, postrm: use update-alternatives for lynx.
     Closes: #117347
Files: 
 09220cb53f38ef8845f078a75e6d1bb8 609 web optional lynx_2.8.5-1.dsc
 5f516a10596bd52c677f9bfd9579bc28 2984352 web optional lynx_2.8.5.orig.tar.gz
 464c8d944615b8b484d34cd11b8fc7bd 14020 web optional lynx_2.8.5-1.diff.gz
 1f913331fbd98d4a11df264cdeab4dff 1855448 web optional lynx_2.8.5-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.0.6 (GNU/Linux)

iEYEARECAAYFAkAiuPYACgkQgD/uEicUG7Bm+gCgkupggu3FaVUN07MbX4dq53eJ
Ro0AoNfxtqFnlPDBijMKxV3KP9wX/C6C
=g8D1
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 19:08:56 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.